import std.stdio;
import sdl, vector2, icerik, cizici, matematik, oyuncu;


class TemelOyun
{
    Olay olay;
    bool çık = false;
    MatematikYardımcı matematik;
    İçerik içerik;
    Çizici çizici;
    EkranYüzeyi ekran;
    int ekrangenişlik, ekranyükseklik, ekranbpp;  
    uint sahneBaşlangıç;

    this() // ilklendir 
    {
        SDL_Init(SDL_INIT_EVERYTHING);
        ekrangenişlik = 640, ekranyükseklik = 480, ekranbpp = 24;

        ekran = EkranModunuAyarla(ekrangenişlik, ekranyükseklik,
                                  ekranbpp, SDL_HWSURFACE);
        assert(ekran != null);
    }

    ~this()
    {
        SDL_FreeSurface(ekran);
        SDL_Quit();
    }

    void çalıştır() 
    {
        içerikYükle();
        
        while (çık != true) {
                
            sahneBaşlangıç = SDL_GetTicks();

            //güncelle
            güncelle();
            
            //çiz
            çiz();
            
            // bekle
            if (SDL_GetTicks() - sahneBaşlangıç < 16)
                SDL_Delay(16 - (SDL_GetTicks() - sahneBaşlangıç));
        }
    }
    
private:
    void çıkış() 
    {
        çık = true;
    }
    
protected:
    void içerikYükle()
    {
        çizici = new Çizici(ekran);
        assert(çizici !is null);
    }
    void güncelle()
    {
        
    }
    void çiz()
    {
        
        // Ekranı temizle
        SDL_FillRect(ekran, &ekran.clip_rect,
                     SDL_MapRGB(ekran.format, 0x64, 0x95, 0xED));   
    }
    
}


class Oyun : TemelOyun
{
    Oyuncu oyuncu;

    this()
    {
        super();

    }

    override protected void içerikYükle()
    {
        super.içerikYükle();

        // oyuncuya ait içeriği yükle
        auto oyuncuKonum = Vector2(288, 203);
        oyuncu = new Oyuncu(içerik.yükle("penguen.bmp"), oyuncuKonum);
    }

    override protected void güncelle()
    {
        super.güncelle();

        // Olaylar
        while (SDL_PollEvent(&olay)) {
            /// klavye olaylarını işle
            }
        
            /// quit
            if (olay.type == SDL_QUIT) {
                this.çıkış();
            }
        
        // Oyun mantığı
    }
    
    override protected void çiz()
    {
        super.çiz();

        /// Arkaplanı göster

        /// Nesneleri göster
        // oyuncuyu çiz
        oyuncu.çiz(çizici);

        /// Grafik kartının belleğinde bulunan yüzeyleri ekrana bas
        EkranaBas(ekran);
    }
}



void main()
{

    auto oyun = new Oyun();
    oyun.çalıştır();
}

